package com.example.punyaria;

public class Konseling {
    private String username;
    private String topik;
    private String keluhan;
    private String date;
    private String konselingID;
    private String status; // Tambahkan properti status

    public Konseling() {
        // Diperlukan konstruktor kosong untuk Firebase
    }

    public Konseling(String username, String topik, String keluhan, String date) {
        this.username = username;
        this.topik = topik;
        this.keluhan = keluhan;
        this.date = date;
        this.status = "active"; // Inisialisasi status dengan nilai default
    }

    // Tambahkan konstruktor dengan status
    public Konseling(String username, String topik, String keluhan, String date, String status) {
        this.username = username;
        this.topik = topik;
        this.keluhan = keluhan;
        this.date = date;
        this.status = status;
    }

    // Getter dan setter untuk date
    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    // Getter dan setter untuk username, topik, dan keluhan
    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getTopik() {
        return topik;
    }

    public void setTopik(String topik) {
        this.topik = topik;
    }

    public String getKeluhan() {
        return keluhan;
    }

    public void setKeluhan(String keluhan) {
        this.keluhan = keluhan;
    }

    // Getter dan setter untuk konselingID
    public String getKonselingID() {
        return konselingID;
    }

    public void setKonselingID(String konselingID) {
        this.konselingID = konselingID;
    }

    // Getter dan setter untuk status
    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
